version: '3.3'

services:
    app:
        build:
            context: .
            dockerfile: Dockerfile
        volumes:
            - .:/usr/src/app 
        ports:
            - 5000:5000
            #- 14001:14001
        environment:
            - FLASK_APP=project/__init__.py
            - FLASK_ENV=development
            - APP_SETTINGS=project.config.DevelopmentConfig
            - DATABASE_URL=postgresql://postgres:postgres@db:5432/app_dev  # new
            - DATABASE_TEST_URL=postgresql://postgres:postgres@db:5432/app_test  # new
            - REMOTE_DEBUG=False
            - FLASK_DEBUG=False       
        depends_on:  # new
            - db
        entrypoint: ['sh', '/usr/src/app/entrypoint.sh']

    db:  # new
        build:
            context: ./project/db
            dockerfile: Dockerfile
        expose:
            - 5432
        environment:
            - POSTGRES_USER=postgres
            - POSTGRES_PASSWORD=postgres
